#ifndef PAINTERENGINE_APPLICATION_H
#define PAINTERENGINE_APPLICATION_H

#ifdef __cplusplus
extern "C"{
#endif

#include "PainterEngine_Startup.h"
#include "architecture/PainterEngine_Console.h"
#ifdef __cplusplus
}
#endif
typedef struct
{
	PX_Object* root;
	PX_Object* piano_keyboard,*button_play,*button_stop;
	PX_Midi midi;
	PX_Piano Piano;
	PX_Runtime runtime;
}PX_Application;

extern PX_Application App;

px_bool PX_ApplicationInitialize(PX_Application *App,px_int screen_Width,px_int screen_Height);
px_void PX_ApplicationUpdate(PX_Application *App,px_dword elapsed);
px_void PX_ApplicationRender(PX_Application *App,px_dword elapsed);
px_void PX_ApplicationPostEvent(PX_Application *App,PX_Object_Event e);

#endif
